219 packages returned for Tags:"PowerShell"

Pester provides a framework for running BDD style Tests to execute and validate PowerShell commands inside of PowerShell and offers a powerful set of Mocking Functions that allow tests to mimic and mock the functionality of any command inside of a piece of PowerShell code being tested. Pester tests... More information
  • 203,476 total downloads
  • last updated 3/20/2016
  • Latest version: 4.6.0
  • build powershell
psake is a build automation tool written in PowerShell. It avoids the angle-bracket tax associated with executable XML by leveraging the PowerShell syntax in your build scripts. psake has a syntax inspired by rake (aka make in Ruby) and bake (aka make in Boo), but is easier to script because it... More information
Invoke-Build is a build and test automation tool which invokes tasks defined in PowerShell v2.0+ scripts. It is similar to psake but arguably easier to use and more powerful. It is complete, bug free, well covered by tests.
Note: This package is for extending the ConDep DSL. If you're looking for ConDep to do deployment or infrastructure as code, please use the ConDep package. ConDep is a highly extendable Domain Specific Language for Continuous Deployment, Continuous Delivery and Infrastructure as Code on Windows.
Windows PowerShell module based on the official MongoDB C# driver v2.x It makes MongoDB scripting in PowerShell easier and provides some extra features like bson/json file collections which do not require MongoDB.
Automatically force your ClickOnce app to update itself without prompting the user, making a less obtrusive end-user experience, and guaranteeing they are always using the latest version of the application. Adds a post-build event to the project to run a powershell script that updates the ClickOnce... More information
A package to manage fluent migrations in a Visual Studio solution. Adds PowerShell commands to the Package Manager Console to wrap calls to Migrate.exe of the FluentMigrator library. (Requires the FluentMigrator package to be installed. FluentMigrator.Tools is required if the framework is .NET 3.5... More information